Summary:        A library to access SMI MIB information
Name:           libsmi
Version:        0.4.8
Release:        6%{?dist}
License:        GPLv2+ and BSD
URL:            http://www.ibr.cs.tu-bs.de/projects/libsmi/index.html
Source0:        ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/%{name}-%{version}.tar.gz
Source1:        smi.conf
Source2:        IETF-MIB-LICENSE.txt
Patch3000:      libsmi-0.4.8-wget111.patch
Patch3001:      libsmi-0.4.8-CVE-2010-2891.patch
Patch3002:      libsmi-0.4.8-symbols-clash.patch
Patch3003:      libsmi-0.4.8-format-security-fix.patch

BuildRequires:  make
BuildRequires:  flex, bison libtool
Requires:       gawk, wget

%description
This package provides tools to check, dump, and convert MIB definitions, as well as a stable 
maintenance and revision archive of all IETF and IANA maintained standard MIB modules.

%package devel
Summary:        Development environment for libsmi library
Requires:       %name = %version-%release
Requires:       pkgconfig

%description devel
This package provides development files needed to develop libsmi-based applications.

%prep
%autosetup -p1
cp %{SOURCE2} .

%build
%configure --enable-smi --enable-sming --enable-shared --disable-static
%make_build LIBTOOL=/usr/bin/libtool

iconv -f latin1 -t utf-8 <COPYING >COPYING.utf8
mv COPYING.utf8 COPYING

%install
rm -rf %{buildroot}

%make_install
install -d -m 755 %{buildroot}%{_sysconfdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/smi.conf

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%check
make check ||:

%files
%license COPYING
%doc ANNOUNCE ChangeLog README THANKS TODO
%doc doc/draft-irtf-nmrg-sming-02.txt smi.conf-example IETF-MIB-LICENSE.txt
%config(noreplace) %{_sysconfdir}/smi.conf
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/mibs/
%{_datadir}/pibs/
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/libsmi.pc
%{_libdir}/*.so
%{_datadir}/aclocal/libsmi.m4
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Wang Guodong <gordonwwang@tencent.com> - 0.4.8-1
- package init.
